searchNodes=[{"type":"task","title":"Mix.Tasks.ImportSchema","doc":"Generates models from database schema mix import_schema","ref":"Mix.Tasks.ImportSchema.html"},{"type":"function","title":"Mix.Tasks.ImportSchema.run/1","doc":"Callback implementation for Mix.Task.run/1 .","ref":"Mix.Tasks.ImportSchema.html#run/1"},{"type":"extras","title":"License","doc":"MIT License Copyright (c) 2023 Steve DeGele Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the &quot;Software&quot;), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions: The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software. THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.","ref":"license.html"},{"type":"extras","title":"Overview","doc":"ImportSchema provides a mix task that generates models from existing database schema. $ mix import_schema This task has only been tested with Postgres and does not come with any guarantee of completeness or accuracy. ImportSchema is intended to help bootstrap the process of replatforming webapps into Elixir applications. It uses opinionated defaults that have worked for projects I've worked on. Pull requests to expand the functionality are welcome.","ref":"readme.html"},{"type":"extras","title":"Overview - Options","doc":"-r , --repo - the repo in your app to pull the schema from. If no repo is provided, the mix task will attempt to detect the repo and prompt the user to confirm or enter the correct repo name. $ mix import_schema -repo MyApp.Repo -sp , --strip-prefix - a table prefix that will be stripped from module and file names. For example, if a table is named webapp_users , the repo is MyApp.Repo , and the desired module name is MyApp.User and the desired file name is user.ex instead of MyApp.WebappUser and webapp_user.ex : $ mix import_schema --strip-prefix webapp_ -f , --force - overwrite any existing models without prompting. The default without --force will prompt the user to see if they want to overwrite any models. $ mix import_schema --force -i , --ignore - Table names to skip. % wildcards work as the query uses a LIKE statement. For example, if the logs table or any table starting with temp should not generate models: $ mix import_schema --ignore logs --ignore temp%","ref":"readme.html#options"},{"type":"extras","title":"Overview - Features","doc":"The models are generated under the lib/MY_APP/models/ directory Column data types are inferred from information_schema belongs_to associations are inferred from information_schema","ref":"readme.html#features"},{"type":"extras","title":"Overview - Installation","doc":"The package can be installed by adding import_schema to your list of dependencies in mix.exs : def deps do [ { :import_schema , &quot;~&gt; 0.1.0&quot; } ] end","ref":"readme.html#installation"}]